summaryrefslogtreecommitdiffstats
path: root/test/testflushrefresh.sh.in
diff options
context:
space:
mode:
authorAllen Byrne <50328838+byrnHDF@users.noreply.github.com>2021-02-04 14:20:25 (GMT)
committerGitHub <noreply@github.com>2021-02-04 14:20:25 (GMT)
commit8cfcf0e3949c2de67f6fb29dd52d5bc57b76ba0d (patch)
treeb4882b25a68ac0d80a32252dfad5b905e9bcc5fd /test/testflushrefresh.sh.in
parent674e1f02a3ac37cf3d57df1aee902b7af44f398e (diff)
downloadhdf5-8cfcf0e3949c2de67f6fb29dd52d5bc57b76ba0d.zip
hdf5-8cfcf0e3949c2de67f6fb29dd52d5bc57b76ba0d.tar.gz
hdf5-8cfcf0e3949c2de67f6fb29dd52d5bc57b76ba0d.tar.bz2
1 10 merges from develop (#298)
* HDFFV-10865 - merge from dev, HDFArray perf fix. * Remove duplicate setting * Whitespace changes after clang format * Undo version 11 clang format changes * Merge CMake changes from develop * test testing script merge from develop * Update supported platforms
Diffstat (limited to 'test/testflushrefresh.sh.in')
-rw-r--r--test/testflushrefresh.sh.in16
1 files changed, 14 insertions, 2 deletions
diff --git a/test/testflushrefresh.sh.in b/test/testflushrefresh.sh.in
index 3cdf10f..be44a13 100644
--- a/test/testflushrefresh.sh.in
+++ b/test/testflushrefresh.sh.in
@@ -82,7 +82,7 @@ fi
# different, occasionally the wrong file is deleted, interrupting the flow of
# the test. Running each of these tests in its own directory should eliminate
# the problem.
-mkdir flushrefresh_test
+mkdir -p flushrefresh_test
cp flushrefresh flushrefresh_test
# With the --disable-shared option, flushrefresh is built in the test directory,
@@ -90,7 +90,7 @@ cp flushrefresh flushrefresh_test
# the test directory. test/flushrefresh should always be copied,
# .libs/flushrefresh should be copied only if it exists.
if [ -f .libs/flushrefresh ]; then
- mkdir flushrefresh_test/.libs
+ mkdir -p flushrefresh_test/.libs
for FILE in .libs/flushrefresh*; do
case "$FILE" in
*.o) continue ;; ## don't copy the .o files
@@ -156,6 +156,12 @@ until [ $verification_done -eq 1 ]; do
echo "all flush verification complete" > $endsignal
else
./flushrefresh $param1 $param2
+
+ # Check for core dump
+ if [ $? -gt 0 ]; then
+ nerrors=`expr $nerrors + 1`
+ fi
+
echo "verification flush process done" > $endsignal
fi
@@ -195,6 +201,12 @@ if [ $timedout -eq 0 ]; then
echo "all refresh verification complete" > $endsignal
else
./flushrefresh $param1
+
+ # Check for core dump
+ if [ $? -gt 0 ]; then
+ nerrors=`expr $nerrors + 1`
+ fi
+
echo "refresh verifiction process done" > $endsignal
fi